Bug 734161 - update to gcc 4.6.1-8 causes libtoool 2.4-4 dependency problem
Summary: update to gcc 4.6.1-8 causes libtoool 2.4-4 dependency problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 15:24 UTC by Daniel Belton
Modified: 2011-10-03 15:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 15:40:35 UTC


Attachments (Terms of Use)

Description Daniel Belton 2011-08-29 15:24:53 UTC
Description of problem: The update to gcc 4.6.1-8 creates an error with the current version of libtool installed


Version-Release number of selected component (if applicable): gcc 4.6.1-8 and libtool 2.4-4


How reproducible: yum update (with updates-testing repo enabled)


Steps to Reproduce:
1. enable updates-testing repo
2. yum update
3.
  
Actual results:
--> Finished Dependency Resolution
Error: Package: libtool-2.4-4.fc15.x86_64 (@anaconda-InstallationRepo-201105131943.x86_64)
           Requires: gcc = 4.6.0
           Removing: gcc-4.6.0-10.fc15.x86_64 (@updates-testing)
               gcc = 4.6.0-10.fc15
           Updated By: gcc-4.6.1-8.fc15.x86_64 (updates-testing)
               gcc = 4.6.1-8.fc15
           Available: gcc-4.6.0-6.fc15.x86_64 (fedora)
               gcc = 4.6.0-6.fc15
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Expected results:
 Update to work with no dependency errors

Additional info:

Also, the previous gcc update broke a dependency for nss_db gcc removed a lib that nss_db was using. (I forget the exact error when I updated gcc, I removed nss_db to overcome it, but here is what happens when I try to go back and install nss_db again)

[root@tower20 ~]# yum install nss_db
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package nss_db.x86_64 0:2.2.3-0.5.pre1.fc15 will be installed
--> Processing Dependency: libnss_files.so.2(GLIBC_PRIVATE)(64bit) for package: nss_db-2.2.3-0.5.pre1.fc15.x86_64
--> Processing Dependency: libc.so.6(GLIBC_PRIVATE)(64bit) for package: nss_db-2.2.3-0.5.pre1.fc15.x86_64
--> Finished Dependency Resolution
Error: Package: nss_db-2.2.3-0.5.pre1.fc15.x86_64 (updates)
           Requires: libnss_files.so.2(GLIBC_PRIVATE)(64bit)
           Available: glibc-2.13.90-9.x86_64 (fedora)
               libnss_files.so.2(GLIBC_PRIVATE)(64bit)
           Available: glibc-2.14-5.x86_64 (updates)
               libnss_files.so.2(GLIBC_PRIVATE)(64bit)
           Installed: glibc-2.14-6.x86_64 (@updates-testing)
               Not found
Error: Package: nss_db-2.2.3-0.5.pre1.fc15.x86_64 (updates)
           Requires: libc.so.6(GLIBC_PRIVATE)(64bit)
           Available: glibc-2.13.90-9.x86_64 (fedora)
               libc.so.6(GLIBC_PRIVATE)(64bit)
           Available: glibc-2.14-5.x86_64 (updates)
               libc.so.6(GLIBC_PRIVATE)(64bit)
           Installed: glibc-2.14-6.x86_64 (@updates-testing)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 Harald Reindl 2011-08-29 17:17:39 UTC
confirmed and easy solveable why i do not understand that libtool was bot rebuilt and oushed at the same time to updates-stable as GCC 4.6.1 instead get bad karma for GCC

* uninstall libtool
* update GCC 
* take libtool.src.rpm
* change the GCC-Requres to 4.6.1
* rpmbuild -bb libtool
* install new built libtool

______________


i can confirm that the following packages are built while new GCC was installed and working fine:

a52dec-0.7.4-15.fc15.rh.20110828.x86_64
aespipe-2.4c-2.fc15.rh.20110828.x86_64
dbmail-2.2.17-14.fc15.rh.20110828.x86_64
dbmail-mysql-2.2.17-14.fc15.rh.20110828.x86_64
dbmail-postfix-policyd-2011.05.25-7.fc15.rh.20110828.noarch
faac-1.28-6.fc15.rh.20110828.x86_64
faad2-libs-2.7-3.fc15.rh.20110828.x86_64
ffmpeg-0.7.3-6.20110826git31790.fc15.rh.20110828.x86_64
ffmpeg-libs-0.7.3-6.20110826git31790.fc15.rh.20110828.x86_64
GeoIP-1.4.8-2.fc15.rh.20110828.x86_64
httpd-2.2.19-7.fc15.rh.20110828.x86_64
httpd-devel-2.2.19-7.fc15.rh.20110828.x86_64
httpd-tools-2.2.19-7.fc15.rh.20110828.x86_64
iat-0.1.7-14.fc15.rh.20110828.x86_64
lame-3.98.4-5.fc15.rh.20110828.x86_64
lame-libs-3.98.4-5.fc15.rh.20110828.x86_64
libmp4v2-1.5.0.1-11.fc15.rh.20110828.x86_64
libmpdclient-2.5-2.fc15.rh.20110828.x86_64
libtool-ltdl-2.4-4.fc15.rh.20110828.x86_64
libvpx-0.9.7.1-2.fc15.rh.20110828.x86_64
mod_bw-0.8-6.fc15.rh.20110828.x86_64
mod_bwshare-0.2.1-17.fc15.rh.20110828.x86_64
mod_flvx-0.0-14.fc15.rh.20110828.x86_64
mod_h264_streaming-2.2.7-16.fc15.rh.20110828.x86_64
mod_security-2.6.1-3.fc15.rh.20110828.x86_64
mod_ssl-2.2.19-7.fc15.rh.20110828.x86_64
mp3info-0.8.5a-16.fc15.rh.20110828.x86_64
mpc-0.21-1.fc15.rh.20110828.x86_64
mpd-0.16.3-4.fc15.rh.20110828.x86_64
mpdscribble-0.22-3.fc15.rh.20110828.x86_64
mysql-5.5.15-2.fc15.rh.20110828.x86_64
mysql-embedded-5.5.15-2.fc15.rh.20110828.x86_64
mysql-libs-5.5.15-2.fc15.rh.20110828.x86_64
mysql-server-5.5.15-2.fc15.rh.20110828.x86_64
mysql-test-5.5.15-2.fc15.rh.20110828.x86_64
mysqltuner-1.2.0-2.20110306git.fc15.rh.20110828.noarch
perl-Class-Std-Fast-0.0.8-10.fc15.rh.20110828.noarch
perl-IO-Socket-INET6-2.67-2.fc15.rh.20110828.noarch
perl-Net-DRI-0.95-11.fc15.rh.20110828.noarch
php-5.3.8-21.fc15.rh.20110828.x86_64
php-bcmath-5.3.8-21.fc15.rh.20110828.x86_64
php-cli-5.3.8-21.fc15.rh.20110828.x86_64
php-common-5.3.8-21.fc15.rh.20110828.x86_64
php-eaccelerator-0.9.6.1-20.fc15.rh.20110828.x86_64
php-gd-5.3.8-21.fc15.rh.20110828.x86_64
php-imap-5.3.8-21.fc15.rh.20110828.x86_64
php-mbstring-5.3.8-21.fc15.rh.20110828.x86_64
php-mcrypt-5.3.8-21.fc15.rh.20110828.x86_64
php-mssql-5.3.8-21.fc15.rh.20110828.x86_64
phpMyAdmin-3.4.4-2.fc15.rh.20110828.noarch
php-mysql-5.3.8-21.fc15.rh.20110828.x86_64
php-pdo-5.3.8-21.fc15.rh.20110828.x86_64
php-pecl-archive-0.2-20.fc15.rh.20110828.x86_64
php-pecl-bbcode-1.0.2-20.fc15.rh.20110828.x86_64
php-pecl-crack-0.4-20.fc15.rh.20110828.x86_64
php-pecl-geoip-1.0.7-20.fc15.rh.20110828.x86_64
php-pecl-http-1.7.1-20.fc15.rh.20110828.x86_64
php-pecl-id3-0.2-20.fc15.rh.20110828.x86_64
php-pecl-imagick-3.0.1-20.fc15.rh.20110828.x86_64
php-pecl-mailparse-2.1.5-20.fc15.rh.20110828.x86_64
php-pecl-memtrack-0.2.0-20.fc15.rh.20110828.x86_64
php-pecl-mysqlnd_qc-1.0.1-20.fc15.rh.20110828.x86_64
php-pecl-rar-2.0.0-20.fc15.rh.20110828.x86_64
php-pecl-ssh2-0.11.2-20.fc15.rh.20110828.x86_64
php-pecl-uploadprogress-1.0.3.1-20.fc15.rh.20110828.x86_64
php-pecl-xattr-1.1.0-20.fc15.rh.20110828.x86_64
php-pecl-xdebug-2.1.2-20.fc15.rh.20110828.x86_64
php-pgsql-5.3.8-21.fc15.rh.20110828.x86_64
php-process-5.3.8-21.fc15.rh.20110828.x86_64
php-reader-1.8-1.fc15.rh.20110828.noarch
php-soap-5.3.8-21.fc15.rh.20110828.x86_64
php-suhosin-0.9.32.1-20.fc15.rh.20110828.x86_64
php-tidy-5.3.8-21.fc15.rh.20110828.x86_64
php-xml-5.3.8-21.fc15.rh.20110828.x86_64
php-xmlrpc-5.3.8-21.fc15.rh.20110828.x86_64
postfix-2.8.4-7.fc15.rh.20110828.x86_64
postfix-perl-scripts-2.8.4-7.fc15.rh.20110828.x86_64
pulsed-2.0-5.fc15.rh.20110828.noarch
webalizer-xtended-2.23_05_RB29-1.fc15.rh.20110828.x86_64
x264-0.0.0-0.29.20110826git0.116.2074.2641b9e.fc15.rh.20110828.x86_64
x264-libs-0.0.0-0.29.20110826git0.116.2074.2641b9e.fc15.rh.20110828.x86_64


Note You need to log in before you can comment on or make changes to this bug.